Subject: Re: bug#77988: 31.0.50; No more images after fullscreen and load-theme

From: Elijah Gabe Pérez <[email-masked]>
Date: Thu, 15 May 2025 22:54:24 -0600

Eli Zaretskii <[email-masked]> writes:

>> From: Elijah Gabe Pérez <[email-masked]>
>> Cc: [email-masked],  [email-masked]
>> Date: Wed, 14 May 2025 12:47:54 -0600
>> 
>> Eli Zaretskii <[email-masked]> writes:
>> 
>> > Ping! Could someone please reproduce this?
>> 
>> Yep, i could reproduce this, I've noticed that reproducing this on a
>> Cairo build (with same build options) seems to fix it.
>
> Since Manuel explicitly says this is a Lucid-only issue, this is
> expected.
>
> Are you able to debug this to figure out why the problem happens in
> the Lucid build?

Yes, I can. The problem is I don't know how to send the debugging
information here (also, where to put the breakpoint since this only
affects to svg/png images).

I don't have much experience debugging Emacs.

So i'm sending here some backtraces that i could do and can be useful:

--8<---------------cut here---------------start------------->8---
#0  svg_load (f=0xb80e68, img=0x101d350) at image.c:11945
        success_p = true
        file_name = {i = 0xafdbc4}
        base_uri = {i = 0xce7d54}

---

#0  lookup_image (f=0xb80e68, spec=..., face_id=0) at image.c:3625
        ascent = {i = 0x0}
        margin = {i = 0x0}
        relief_bound = 2147483647
        relief = {i = 0x0}
        bg = {i = 0x7fffffff6f20}
        len = 13
        img = 0x101d350
        hash = 2570549387003761551
        face = 0xbdfd20
        foreground = 0
        background = 16777215
        font_size = 15
        font_family = 0xa67310 "Adwaita Mono"
#1  0x000000000044b361 in handle_single_display_spec (it=0x7fffffff86d0, spec=..., object=..., overlay=..., position=0x7fffffff8820, bufpos=1, display_replaced=0, frame_window_p=true, enable_eval_p=true) at xdisp.c:6491
        count = {bytes = 256}
        retval = 1
        eob = 15549
        form = {i = 0x30}
        location = {i = 0x0}
        value = {i = 0x7ffff18d12d3}
        start_pos = {charpos = 1, bytepos = 1}
        itdata = 0x0
        valid_p = true
#2  0x00000000004493bd in handle_display_spec (it=0x7fffffff86d0, spec=..., object=..., overlay=..., position=0x7fffffff8820, bufpos=1, frame_window_p=true) at xdisp.c:5939
        replacing = 0
        enable_eval = true
#3  0x0000000000448edf in handle_display_prop (it=0x7fffffff86d0) at xdisp.c:5847
        propval = {i = 0x7ffff18d12d3}
        object = {i = 0xd0cfd5}
        overlay = {i = 0x0}
        position = 0x7fffffff8820
        bufpos = 1
        display_replaced = 0
        objwin = {i = 0xb8112d}
#4  0x0000000000444600 in handle_stop (it=0x7fffffff86d0) at xdisp.c:4159
        handled = HANDLED_NORMALLY
        handle_overlay_change_p = true
        p = 0x8cabc0 <it_props+32>

---

#0  handle_single_display_spec (it=0x7fffffff86d0, spec=..., object=..., overlay=..., position=0x7fffffff8820, bufpos=1, display_replaced=0, frame_window_p=true, enable_eval_p=true) at xdisp.c:6504
        retval = 1
        eob = 15549
        form = {i = 0x30}
        location = {i = 0x0}
        value = {i = 0x7ffff18d12d3}
        start_pos = {charpos = 1, bytepos = 1}
        itdata = 0x0
        valid_p = true
--8<---------------cut here---------------end--------------->8---

-- 
                                          - E.G via GNU Emacs and Org.